Bug 202472 - CVE-2006-3467 Xorg PCF handling Integer overflow
CVE-2006-3467 Xorg PCF handling Integer overflow
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: XFree86 (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Søren Sandmann Pedersen
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-08-14 14:03 EDT by Josh Bressers
Modified: 2014-06-18 05:08 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHSA-2006-0635
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-21 18:07:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Upstream patch (4.02 KB, patch)
2006-08-14 14:08 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2006-08-14 14:03:40 EDT
+++ This bug was initially created as a clone of Bug #202469 +++

An integer overflow was discovered in the way freetype processes malformed PCF
files.  It seems that Xorg also contains the same PCF processing code as
freetype, there it too is vulnerable this issue.

We initally described this issue for freetype in bug 190593.

The upstream bug is here:
Comment 1 Josh Bressers 2006-08-14 14:05:10 EDT
This issue likely also affects RHEL2.1
Comment 2 Josh Bressers 2006-08-14 14:08:19 EDT
Created attachment 134155 [details]
Upstream patch
Comment 3 Søren Sandmann Pedersen 2006-08-14 18:55:42 EDT
New packages:

RHEL2: XFree86-4.1.0-76.EL

RHEL3: XFree86-4.3.0-111.EL
Comment 4 Josh Bressers 2006-08-17 11:00:53 EDT
There is a demo font file in attachment 134276 [details]
Comment 8 Red Hat Bugzilla 2006-08-21 18:07:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.